declare module 'arpad' {
    export default class Elo {
        constructor(k_factor?: number, min?: number, max?: number)

        /**
         * Calculates a new rating from an existing rating and opponents rating if the player won
         *
         * This is a convenience method which skips the score concept
         *
         * @param {Number} rating The existing rating of the player, e.g. 1200
         * @param {Number} opponent_rating The rating of the opponent, e.g. 1300
         * @return {Number} The new rating of the player, e.g. 1300
         */
        newRatingIfWon(rating: number, opponent_rating: number): number

        /**
         * Calculates a new rating from an existing rating and opponents rating if the player lost
         *
         * This is a convenience method which skips the score concept
         *
         * @param {Number} rating The existing rating of the player, e.g. 1200
         * @param {Number} opponent_rating The rating of the opponent, e.g. 1300
         * @return {Number} The new rating of the player, e.g. 1180
         */
        newRatingIfLost(rating: number, opponent_rating: number): number
    }
};