import { ApplicationCommandOptionData, ApplicationCommandOptionType, CommandInteraction, EmbedBuilder } from "discord.js"
import { CBClient } from "../cbclient"
import { CHARACTERS } from "../characters"
import { Unit } from "../models/unit"
import { createArgumentsObject, SlashCommand } from "./slash"

export class RollCommand implements SlashCommand {
	name = 'roll'
    description = 'Pull a random character for 3600 points'
    permission = []
    ownerOnly = false
    guildOnly = false
    //guildID = "739645806100873328" //for testing
    args: ApplicationCommandOptionData[] = []

	async execute(int: CommandInteraction) {
        const player = await CBClient.findOrCreatePlayer(int.user.id);

        if (!(await CBClient.spendOnPlayer(player, 3600))) return int.reply({
            content: "You don't have the money!",
            ephemeral: true
        });

        const character = CHARACTERS.random()!;
        await Unit.create({
            user_id: int.user.id,
            character_id: character.id
        });

        return int.reply({
            embeds: [
                new EmbedBuilder()
                    .setTitle(`${int.user.username}, you got **${character.name}**!`)
                    .setImage(character.img)
            ]
        });
	}
};
